View Issue Details

IDProjectCategoryView StatusLast Update
0031366Open CASCADEOCCT:Documentationpublic2020-12-02 17:12
Reporterabv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031366: Documentation - Doxygen warnings in Standard_Dump.hxx
DescriptionAfter correction of 0031363, some Doxygen warings are still present in Standard_Dump.hxx:

src/Standard/Standard_Dump.hxx:217: warning: Unsupported xml/html tag <class_name> found
src/Standard/Standard_Dump.hxx:217: warning: Found unknown command `\value_1'
src/Standard/Standard_Dump.hxx:217: warning: Found unknown command `\key_2'
src/Standard/Standard_Dump.hxx:217: warning: Found unknown command `\value_2'
src/Standard/Standard_Dump.hxx:217: warning: Unsupported xml/html tag </class_name> found
src/Standard/Standard_Dump.hxx:220: warning: Unsupported xml/html tag <class_name> found
src/Standard/Standard_Dump.hxx:220: warning: Found unknown command `\value_1'
src/Standard/Standard_Dump.hxx:220: warning: Found unknown command `\key_2'
src/Standard/Standard_Dump.hxx:220: warning: Found unknown command `\value_2'
src/Standard/Standard_Dump.hxx:220: warning: Found unknown command `\key_3'
src/Standard/Standard_Dump.hxx:220: warning: Unsupported xml/html tag <subclass_name> found
src/Standard/Standard_Dump.hxx:220: warning: Found unknown command `\subclass_value1'
src/Standard/Standard_Dump.hxx:220: warning: Unsupported xml/html tag </subclass_name> found
src/Standard/Standard_Dump.hxx:220: warning: Unsupported xml/html tag </class_name> found
src/Standard/Standard_Dump.hxx:222: warning: Unsupported xml/html tag <subclass_name> found
src/Standard/Standard_Dump.hxx:222: warning: Found unknown command `\subclass_value1'
src/Standard/Standard_Dump.hxx:222: warning: Unsupported xml/html tag </subclass_name> found
src/Standard/Standard_Dump.hxx:217: warning: argument 'theStream' of command @param is not found in the argument list of Standard_Dump::SplitJson(const TCollection_AsciiString &theStreamStr, NCollection_IndexedDataMap< TCollection_AsciiString, Standard_DumpValue > &theKeyToValues)
src/Standard/Standard_Dump.hxx:229: warning: The following parameters of Standard_Dump::SplitJson(const TCollection_AsciiString &theStreamStr, NCollection_IndexedDataMap< TCollection_AsciiString, Standard_DumpValue > &theKeyToValues) are not documented: parameter 'theStreamStr'
Steps To Reproducegendoc.bat -refman -m=FoundationClasses

then see Doxygen errors in doc/html_doxygen_err.log
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0031365 newabv Documentation - Doxygen warnings when generating Reference Manual 

Activities

git

2020-02-18 08:53

administrator   ~0090581

Branch CR31366 has been created by nds.

SHA-1: 9ccd366026830da13126a885103bef0594aec085


Detailed log of new commits:

Author: nds
Date: Tue Feb 18 08:53:37 2020 +0300

    0031366: Documentation - Doxygen warnings in Standard_Dump.hxx

nds

2020-02-18 10:59

developer   ~0090583

Dear Andrey

Please review.
Jenkins job: http://jenkins-test-12.nnov.opencascade.com/view/CR31366-master-NDS/
Thank you for "Steps to reproduce" filled.

Best regards, Natalia

kgv

2020-02-18 11:44

developer   ~0090585

Dear bugmaster,

please verify the fix (Doxygen warnings being eliminated).

bugmaster

2020-02-23 11:59

administrator   ~0090634

Fix has been tested in framework of IR-2020-02-22

Combination -
OCCT branch : IR-2020-02-22
master SHA - 0950253ca6a21ca4d114a8743b4b9990ec0398be
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : IR-2020-02-22 SHA - 7fcdb8a1da7b1467a779e4ef1bbb4b2746e6ffb8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17017.87000000002 / 17024.610000000095 [-0.04%]
Products
Total CPU difference: 12533.37000000014 / 12614.3600000001 [-0.64%]
Windows-64-VC14:
OCCT
Total CPU difference: 18397.9375 / 18472.453125 [-0.40%]
Products
Total CPU difference: 14483.234375 / 14513.703125 [-0.21%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-02-23 12:25

administrator   ~0090654

Branch CR31366 has been deleted by inv.

SHA-1: 9ccd366026830da13126a885103bef0594aec085

Related Changesets

occt: master 0950253c

2020-02-18 05:53:37

nds


Committer: bugmaster Details Diff
0031366: Documentation - Doxygen warnings in Standard_Dump.hxx Affected Issues
0031366
mod - src/Standard/Standard_Dump.hxx Diff File

Issue History

Date Modified Username Field Change
2020-02-10 11:02 abv New Issue
2020-02-10 11:02 abv Assigned To => abv
2020-02-10 11:03 abv Assigned To abv => nds
2020-02-10 11:03 abv Status new => assigned
2020-02-10 11:03 abv Product Version => 7.5.0
2020-02-10 11:03 abv Description Updated
2020-02-10 11:04 abv Relationship added related to 0031365
2020-02-18 08:53 git Note Added: 0090581
2020-02-18 10:59 nds Note Added: 0090583
2020-02-18 10:59 nds Assigned To nds => abv
2020-02-18 10:59 nds Status assigned => resolved
2020-02-18 11:44 kgv Note Added: 0090585
2020-02-18 11:44 kgv Assigned To abv => bugmaster
2020-02-21 06:46 nds Status resolved => reviewed
2020-02-23 11:59 bugmaster Note Added: 0090634
2020-02-23 11:59 bugmaster Status reviewed => tested
2020-02-23 12:03 bugmaster Test case number => Not required
2020-02-23 12:07 bugmaster Changeset attached => occt master 0950253c
2020-02-23 12:07 bugmaster Status tested => verified
2020-02-23 12:07 bugmaster Resolution open => fixed
2020-02-23 12:25 git Note Added: 0090654
2020-12-02 16:41 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.